Update a runtime record
curl --request PATCH \
--url https://api.synthbrew.com/api/runtime/{sourceId}/{table}/{id} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"name": "Acme Updated"
}
'import requests
url = "https://api.synthbrew.com/api/runtime/{sourceId}/{table}/{id}"
payload = { "name": "Acme Updated" }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Acme Updated'})
};
fetch('https://api.synthbrew.com/api/runtime/{sourceId}/{table}/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.synthbrew.com/api/runtime/{sourceId}/{table}/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Acme Updated'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.synthbrew.com/api/runtime/{sourceId}/{table}/{id}"
payload := strings.NewReader("{\n \"name\": \"Acme Updated\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.synthbrew.com/api/runtime/{sourceId}/{table}/{id}")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Acme Updated\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.synthbrew.com/api/runtime/{sourceId}/{table}/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"Acme Updated\"\n}"
response = http.request(request)
puts response.read_body{}Runtime endpoints
Update Runtime Record
Partially updates a row by primary key and returns the updated row.
PATCH
/
runtime
/
{sourceId}
/
{table}
/
{id}
Update a runtime record
curl --request PATCH \
--url https://api.synthbrew.com/api/runtime/{sourceId}/{table}/{id} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"name": "Acme Updated"
}
'import requests
url = "https://api.synthbrew.com/api/runtime/{sourceId}/{table}/{id}"
payload = { "name": "Acme Updated" }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Acme Updated'})
};
fetch('https://api.synthbrew.com/api/runtime/{sourceId}/{table}/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.synthbrew.com/api/runtime/{sourceId}/{table}/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Acme Updated'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.synthbrew.com/api/runtime/{sourceId}/{table}/{id}"
payload := strings.NewReader("{\n \"name\": \"Acme Updated\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.synthbrew.com/api/runtime/{sourceId}/{table}/{id}")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Acme Updated\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.synthbrew.com/api/runtime/{sourceId}/{table}/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"Acme Updated\"\n}"
response = http.request(request)
puts response.read_body{}Authorizations
Source API key created under /api/sources/:sourceId/api-keys
Path Parameters
Source UUID. For runtime endpoints this identifies the source backing the table; for public v1 it identifies the source resource inside the project.
Runtime table identifier (usually the schema entity ID used in Synthbrew).
Primary-key value of the row. Values are passed as path strings and cast by the runtime layer based on table schema.
Body
application/json
Dynamic runtime row. Shape depends on the source schema/table.
Response
Updated runtime row
Dynamic runtime row. Shape depends on the source schema/table.
⌘I